//A572 Clignote par interruption , commandé par un flag
#include "LcDef.h"
void setup () {
  LcSetup ();
  TCCR2A = 0; //default
  TCCR2B = 0b00000111;  // clk/1024 16kHz
  TIMSK2 = 0b00000001;  // TOIE2
  sei();
}
int cntLed;
byte flagCligno=1; // clignote à l'enclenchement
ISR (TIMER2_OVF_vect)
{
  TCNT2 = -16;  // pour 1 kHz
  if (flagCligno) {
    if (cntLed++ > 50) {
      cntLed = 0; 
      Led1Toggle;
    }
  }
}
void loop () {
   flagCligno = 1;  delay (5000);
   flagCligno = 0;  delay (3000);
}

